# bricks框架简介
## 目录
* bricks目标
* bricks概念
* bricks开发方法
* bricks运行

## bricks目标
* 无前端代码或极少代码
* 降低前端开发技术难度
* 数据驱动
* 常用控件包装
* 纯json开发

## bricks概念
* 控件与控件继承
* 事件以及事件处理
* 控件嵌套和页面组装

###控件与控件继承
bricks采用控件这一概念来描述web GUI的显示部件，每个控件均映射到一个html
的标签类型的一个javascript类。每个控件均可以实例化，并可在页面显示。
控件分为：基本控件，容器控件。

* 基本控件
基本控件是一个原子控件，不能有子控件。
* 容器控件
容器控件可以有子控件，bricks通过在容器控件添加子控件，以及在子容器控件中
在添加子子控件的方式来构造复杂的web页面。

控件的详细介绍请参看[控件说明](widgets.md)

### 事件以及事件处理
每个控件都能触发所映射dom元素的事件，以及控件js类的成员函数以及祖先类的
成员函数中dispatch出的事件

所以bricks控件的事件来源于两类，dom元素原生事件以及控件类中创造的事件。
两类事件处理方式相同。

### 
